# Disable debug packages, we don't need them.
%global debug_package %{nil}

Name:		fedora-bbl-nopayload
# The last part is short hash
Version:	2019.02.19.a26a565
Release:	1%{?dist}
Summary:	Berkeley Boot Loader (BBL) without a payload

License:	BSD
URL:		https://github.com/riscv/riscv-pk

# Download tarball, e.g.:
# https://github.com/riscv/riscv-pk/archive/%full_commit.tar.gz
%global full_commit a26a565cb89b9292e400363fe00e75f3eb4cf99c
Source0:	https://github.com/riscv/riscv-pk/archive/%{full_commit}.tar.gz

BuildRequires:	gcc
BuildRequires:	binutils
BuildRequires:	findutils
BuildRequires:	grep
BuildRequires:	coreutils


%description
Berkeley Boot Loader (BBL) without a payload (useful for TinyEMU).
It is used for booting on RISC-V 64-bit (riscv64) systems.

%prep
%autosetup -n riscv-pk-%{full_commit}


%build
mkdir -p build
pushd build
../configure \
  --enable-logo
%make_build
popd


%install
pushd build
mkdir -p %{buildroot}/boot
cp bbl %{buildroot}/boot/bbl-%{version}
popd


%files
%license LICENSE LICENSE.Batten LICENSE.riscv_logo.txt
%doc README.md
/boot/bbl-*

%changelog
* Tue Feb 19 2019 David Abdurachmanov <david.abdurachmanov@gmail.com> 2019.02.19.a26a565-1
- Add new package
